# Class LabelLayer


### Extends
* [Events](_events_.events.md)

## Index

### Constructors
* [constructor](_labellayer_.labellayer.md#constructor)

### Properties
* [_layers](_labellayer_.labellayer.md#_layers)
* [_map](_labellayer_.labellayer.md#_map)
* [_source](_labellayer_.labellayer.md#_source)
* [id](_labellayer_.labellayer.md#id)
* [zoom](_labellayer_.labellayer.md#zoom)
* [_cnt](_labellayer_.labellayer.md#_cnt)

### Methods
* [addTo](_labellayer_.labellayer.md#addto)
* [off](_labellayer_.labellayer.md#off)
* [on](_labellayer_.labellayer.md#on)
* [removeFrom](_labellayer_.labellayer.md#removefrom)

## Constructors

### new LabelLayer(options?: [LabelLayerOptions](../interfaces/_labellayer_.labellayeroptions.md)): [LabelLayer](_labellayer_.labellayer.md)
  
* Defined in LabelLayer.ts:17


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| options? | [LabelLayerOptions](../interfaces/_labellayer_.labellayeroptions.md)|  |

#### Returns: [LabelLayer](_labellayer_.labellayer.md)

## Properties

### _layers: string[]

* Defined in LabelLayer.ts:14


### _map: any

* Defined in LabelLayer.ts:16


### _source: [Source](_source_.source.md)

* Defined in LabelLayer.ts:15


### id: string

* Defined in LabelLayer.ts:13


### zoom: number

* Defined in LabelLayer.ts:17


### Static Private _cnt: number

* Defined in LabelLayer.ts:12


## Methods

### addTo(map: [Map](_map_.map.md)): [LabelLayer](_labellayer_.labellayer.md)
  
* Defined in LabelLayer.ts:34


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| map | [Map](_map_.map.md)|  |

#### Returns: [LabelLayer](_labellayer_.labellayer.md)

### off(event?: string, listener?: any): [LabelLayer](_labellayer_.labellayer.md)
  
* Overwrites [Events](_events_.events.md).[off](_events_.events.md#off)
* Defined in LabelLayer.ts:59


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event? | string|  |
| listener? | any|  |

#### Returns: [LabelLayer](_labellayer_.labellayer.md)

### on(event: string, listener: any): [LabelLayer](_labellayer_.labellayer.md)
  
* Overwrites [Events](_events_.events.md).[on](_events_.events.md#on)
* Defined in LabelLayer.ts:48


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event | string|  |
| listener | any|  |

#### Returns: [LabelLayer](_labellayer_.labellayer.md)

### removeFrom(map: [Map](_map_.map.md)): [LabelLayer](_labellayer_.labellayer.md)
  
* Defined in LabelLayer.ts:41


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| map | [Map](_map_.map.md)|  |

#### Returns: [LabelLayer](_labellayer_.labellayer.md)


Generated using [TypeDoc](http://typedoc.io)
